<?php

/*
  Widget Name: Abra um Comitê Lula Livre
  Description: Adiciona uma seção de Abra um Comitê
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class AbraComite extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'pretitle' => [
                'type' => 'text',
                'label' => 'Pré-Título',
                'default' => 'Abra você também um'
            ],
            'title' => [
                'type' => 'text',
                'label' => 'Título',
                'default' => 'Comitê Lula Livre'
            ],
            'description' => [
                'type' => 'text',
                'label' => 'Descrição',
                'default' => 'Os comitês distribuem e ampliam nossa resistência. Siga o passo-a-passo e ajude a expandir a força da nossa luta.'
            ],
            'button_text' => [
                'type' => 'text',
                'label' => 'Texto do Botão',
                'default' => 'Saiba Mais'
            ],
            'button_link' => [
                'type' => 'text',
                'label' => 'Link do Botão'
            ]
        ];

        parent::__construct('abra-comite', 'Abra um Comitê', [
            'panels_groups' => [WIDGETGROUP_MAIN],
            'description' => 'Adiciona um Abra um Comitê'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('abra-comite', __FILE__, 'widgets\AbraComite');
