<?php
/**
 * The template for displaying 404 pages (Not Found)
 *
 * @package WordPress
 * @subpackage Lula Site
 * @since Lula Site 1.0
 */

get_header(); ?>

	<div id="primary" class="content-area">
        <div class="row">
            <div class="column large-12">
            <div id="content" class="site-content center text-center" role="main">
			<header class="page-header">
                <h1 class="title-404">404</h1>
				<h2 class="subtitle-404"><?php _e( 'A página que você procura não existe' ); ?></h2>
			</header>
			<div class="page-wrapper">
				<div class="page-content mb60">
					<p><?php _e( 'Use nosso campo de busca para encontrar algo novo' ); ?></p>
					<div class="row justify-center">
                        <div class="column large-6">
                            <?php get_search_form(); ?>
                        </div>
                    </div>
                    <p>ou</p>
                    <p><a href="/" class="uppercase bold underline">Volte para a página inicial</a></p>
				</div><!-- .page-content -->
			</div><!-- .page-wrapper -->
		</div><!-- #content -->

</div>
        </div>
	</div><!-- #primary -->

<?php get_footer(); ?>