
<?php $query = new WP_Query($query_args); ?>

<div class="row">
    <?php if ($query->have_posts()): ?>
        <?php while ($query->have_posts()):
            $query->the_post();
            global $post; ?>
            <div class="column large-<?= (12 / $instance['size']) ?> mb20">
                    <a href="<?= get_post_permalink($post) ?>">
                        <div style="background-image: url(<?= images\url('full', 'full') ?>)" class="card--image" alt=""></div>
                    </a>
                    <?php if(isset($instance['only_image']) && !$instance['only_image']): ?>
                        <div class="posts-list-large--info">
                            <span class="text-red"><?php the_category(', ') ?></span> //
                            <span>por <?php the_meta_author(); ?></span> //
                            <span><?php the_time('d.m.Y') ?></span>
                        </div>
                        <a href="<?= get_post_permalink($post) ?>">
                            <h2 class="posts-list-large--title"><?= $post->post_title ?></h2>
                            <?php if(has_excerpt()) : ?>
                            <div class="posts-list-large--excerpt"><?php the_excerpt() ?></div>
                            <?php endif; ?>
                        </a>
                    <?php endif; ?>

                    <?php if(isset($instance['show_download_button']) && $instance['show_download_button']): ?>
                        <a href="<?= images\url('full', 'full') ?>" download class="button large full-width button-widget">
                            <?= __("Download", "lula") ?>
                        </a>

                    <?php endif; ?>

                    <?php part('post-share') ?>

            </div>
        <?php endwhile; ?>
    <?php endif; ?>

    <?php if ($instance['vermais_href']): ?>
        <a class="posts-list--ver-mais" href="<?= $instance['vermais_href'] ?>"><?= pll_e('Ver mais') ?></a>
    <?php endif; ?>
</div>